/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
.zeitplanung-table {
  .table-component {
    * {
      font-size: 1.6rem;
    }
    .filter-row {
      row-gap: 0px;
    }
    .ant-table-content {
      td {
        span {
          white-space: normal;
        }
      }
    }
    .eigenschaften-icon {
      cursor: pointer;
      border: 0;
      padding: 3px;
      background: none;
      vertical-align: middle;
      line-height: 1;
    }
    .hidden-expanded-rows {
      .ant-table-expanded-row {
        display: contents;
      }
    }
    .ant-table-expanded-row {
      display: contents;
    }

    .title-column {
      width: 50%;
    }

    .ant-table-row-level-1 {
      td:nth-child(2) {
        padding-left: 50px;
      }
    }

    .ant-table-row-level-2 {
      td:nth-child(2) {
        padding-left: 100px;
      }
    }

    .ant-table-row-level-3 {
      td:nth-child(2) {
        padding-left: 150px;
      }
    }

    .ant-table-row-level-4 {
      td:nth-child(2) {
        padding-left: 200px;
      }
    }

    .ant-table-row-level-5 {
      td:nth-child(2) {
        padding-left: 250px;
      }
    }

    .ant-table-row-level-6 {
      td:nth-child(2) {
        padding-left: 300px;
      }
    }

    .element-title {
      white-space: nowrap !important;
      span,
      a {
        white-space: normal;
      }
      a {
        padding: 0 3px;
        margin-left: -3px;
      }
      svg {
        margin-right: 10px;
        margin-left: 0;
      }
      a:hover,
      a:focus {
        svg > g > path,
        svg > path {
          fill: white;
        }
      }
    }

    .important-row {
      td {
        background: #faf2ff !important;
        &:first-of-type {
          border-left: #520b82 3px solid;
        }
      }
    }
    .important-icon {
      & > span {
        text-align: center;
        width: 30px;
        display: inline-block;
      }
      svg {
        vertical-align: middle;
        font-size: 2rem;
      }
      .info-icon {
        margin-top: -5px;
        margin-left: 0;
      }
    }
    #kalender-drawer-btn {
      font-weight: 500;
      margin-left: 10px;
      &:not(:hover, :focus, :active) {
        color: @platfrom-blue1;
      }
    }
  }
}
